Namespace
library
Image / Tag
consul:1.4.0
Content Digest
sha256:f911c43da6abad9c4d172ce58dec66c6742093a87ccfc419874f58dd7a1a0eb3
Details
Created

2018-12-21 15:46:01 UTC

Size

35.2 MB

Content Digest
Environment
CONSUL_VERSION

1.4.0

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0a615535caf92b95d6aefc87792c439acc9382c9f2e6e6c4b3e03cbdb6dbf780 - 5.87% (2.07 MB)

[#001] sha256:bb8fd280f9a42e33caddacaf364c842da7b3b726b15cf2a4051b8e83e1b06a0c - 0.0% (177 Bytes)

[#002] sha256:49328ae6a9db2d5eb7e740f82fa306a0a4a55ff0f429bdeae1eb4b50c852e796 - 0.0% (1.22 KB)

[#003] sha256:0a890176474e15dc76c0849f0a7089e8ecca85aac3fda4df4f603e1a01a6ecbd - 94.12% (33.2 MB)

[#004] sha256:32bdfe72f0844fb08c6a60af590f6685dc41d0f4782062aa668288e7d1470d73 - 0.0% (142 Bytes)

[#005] sha256:7bdb41449886c8340af6450727b47375459eafbba38ad340183db5ea789ae98c - 0.0% (154 Bytes)

[#006] sha256:81d65861a478e4395940f5ff9f050e1b31b9f6de941783d7705b54ed0806d2e0 - 0.0% (1.64 KB)


History
2018-12-21 11:39:54 UTC

/bin/sh -c #(nop) ADD file:b2b8059d0cd5b8582648bf5cbdd2ad66e2519582281f0fa6ab560c1a85398c3c in /

2018-12-21 11:39:54 UTC

/bin/sh -c #(nop) COPY file:a10c133d8d5e9af3a9a1610709d3ed2f85b1507f1ba5745ac12bb495974e3fe6 in /etc/localtime

2018-12-21 11:39:54 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-12-21 15:44:59 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2018-12-21 15:45:50 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.4.0

2018-12-21 15:45:50 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-12-21 15:45:51 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-12-21 15:45:58 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-12-21 15:45:59 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-12-21 15:46:00 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-12-21 15:46:00 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-12-21 15:46:00 UTC

/bin/sh -c #(nop) EXPOSE 8300

2018-12-21 15:46:00 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2018-12-21 15:46:00 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2018-12-21 15:46:00 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2018-12-21 15:46:01 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-12-21 15:46:01 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2018-12-21 00:50:56 UTC

Size

36.1 MB

Content Digest
Environment
CONSUL_VERSION

1.4.0

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:407ea412d82cbc18a270f0ae17d5e528e620bcf4661229e757446f6e6443768b - 5.57% (2.01 MB)

[#001] sha256:c88bd7eadd456fa09016dd9540426f54fbbb93a69036699695f8f613ed9ae3ae - 0.0% (1.22 KB)

[#002] sha256:b4dbf0c150e42a8980a64b9b7b183a88cc6ccc512097d1d07bd4d3203371d5ec - 94.42% (34 MB)

[#003] sha256:5970b88ac92cc1e51e6bc1bf392c521450efb049c00979b1357048a8db6232e8 - 0.0% (143 Bytes)

[#004] sha256:db9572188abf3d0a48192bad8c572d23f1bd882f8d94ee25d0638beaac52e5ed - 0.0% (154 Bytes)

[#005] sha256:9119e44a3cca9ab0116f1bfa1b3e0fbc188b85fdcad304985a4497075e8b6bdf - 0.0% (1.64 KB)


History
2018-12-21 00:21:10 UTC

/bin/sh -c #(nop) ADD file:1c654f8c89128c1ac8363b251cb5e1e7d9326e430ae2740963f77cf6726aee0b in /

2018-12-21 00:21:11 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-12-21 00:49:42 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2018-12-21 00:50:42 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.4.0

2018-12-21 00:50:43 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-12-21 00:50:44 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-12-21 00:50:52 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-12-21 00:50:53 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-12-21 00:50:54 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-12-21 00:50:54 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-12-21 00:50:55 UTC

/bin/sh -c #(nop) EXPOSE 8300

2018-12-21 00:50:55 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2018-12-21 00:50:55 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2018-12-21 00:50:55 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2018-12-21 00:50:55 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-12-21 00:50:56 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2018-12-21 09:21:35 UTC

Size

34.1 MB

Content Digest
Environment
CONSUL_VERSION

1.4.0

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:786f62ef66aef5b82d01dc251c095789af4cc746f6279dcc8011023d019b70fb - 5.73% (1.96 MB)

[#001] sha256:4271bf13258b585def40291fcb3b0490ce089b76fe80a5f1aa672e925ec81bcb - 0.0% (175 Bytes)

[#002] sha256:ebef5311f9fa24504d11ce60540e9f2aa8244cb93fef4c985d116011c3d049cb - 0.0% (1.25 KB)

[#003] sha256:e1e157d03d87ada0945eb3ee52bc290964fcde117326a13f1d37b955dbb0b53c - 94.26% (32.2 MB)

[#004] sha256:2829198fbfc353b3c5d11fbcea6fc5af56e63bd2869d3162b37becc2f653994b - 0.0% (174 Bytes)

[#005] sha256:8947997c0e9fde0cd0f4e48b865c518db1635a04c9efc138bb75f6811724cb44 - 0.0% (154 Bytes)

[#006] sha256:1c9fa916ea04604b0f4f54eb4d36720f464a958155bc2a4659e04d1d38d592f2 - 0.0% (1.64 KB)


History
2018-12-21 08:49:41 UTC

/bin/sh -c #(nop) ADD file:49a7d389086046d6fa37e72b7f9dc0c3b1fa155b694554609ed2c95a5504e172 in /

2018-12-21 08:49:41 UTC

/bin/sh -c #(nop) COPY file:a10c133d8d5e9af3a9a1610709d3ed2f85b1507f1ba5745ac12bb495974e3fe6 in /etc/localtime

2018-12-21 08:49:42 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-12-21 09:20:03 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2018-12-21 09:21:18 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.4.0

2018-12-21 09:21:18 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-12-21 09:21:20 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-12-21 09:21:29 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-12-21 09:21:31 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-12-21 09:21:32 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-12-21 09:21:32 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-12-21 09:21:33 UTC

/bin/sh -c #(nop) EXPOSE 8300

2018-12-21 09:21:33 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2018-12-21 09:21:34 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2018-12-21 09:21:34 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2018-12-21 09:21:34 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-12-21 09:21:35 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2018-12-21 10:02:07 UTC

Size

33.7 MB

Content Digest
Environment
CONSUL_VERSION

1.4.0

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:f0599ed267cb750a3c0ebeb55004b5a818b7e9a7e8071b49e687d11349556868 - 5.65% (1.91 MB)

[#001] sha256:8bfe4843495e56e3546d4d49cf476ee7bc1650156062151aa38cf3e2fb397a70 - 0.0% (176 Bytes)

[#002] sha256:81832fd08cebc5488c88f3e72cdeb0655a4a455dd0282401dfee934389e00b51 - 0.0% (1.22 KB)

[#003] sha256:57c0f761a439398d87400722dc285f50b699a5140bf973eb23afb60597b0a9e3 - 94.34% (31.8 MB)

[#004] sha256:6f6158dc4a59b28b6c5d64c2f192baed04b8c84a2a93f31f373a186717a3f11a - 0.0% (143 Bytes)

[#005] sha256:af9f7d8401f869c2f1ccb3e980eec11831de9c3d655bcdff075a64a6ca07231a - 0.0% (154 Bytes)

[#006] sha256:33b0c75d6341afbe0415047df53042d79d7582464426ed5a5f53d908d78f387f - 0.0% (1.64 KB)


History
2018-12-21 09:42:47 UTC

/bin/sh -c #(nop) ADD file:7278e4df49d628c2bbb27c53665e671f57cd2db003e030b1be93eb81c5d28303 in /

2018-12-21 09:42:48 UTC

/bin/sh -c #(nop) COPY file:a10c133d8d5e9af3a9a1610709d3ed2f85b1507f1ba5745ac12bb495974e3fe6 in /etc/localtime

2018-12-21 09:42:48 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-12-21 09:59:29 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2018-12-21 10:01:28 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.4.0

2018-12-21 10:01:29 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-12-21 10:01:31 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-12-21 10:01:57 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-12-21 10:01:59 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-12-21 10:02:01 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-12-21 10:02:02 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-12-21 10:02:03 UTC

/bin/sh -c #(nop) EXPOSE 8300

2018-12-21 10:02:03 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2018-12-21 10:02:04 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2018-12-21 10:02:05 UTC

/bin/sh -c #(nop) COPY file:2fc9ee792fd5d6e21568c1fcc92d825866250fafd9f3c82331ad98c840b3dd45 in /usr/local/bin/docker-entrypoint.sh

2018-12-21 10:02:06 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-12-21 10:02:07 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]